# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'deckland/version'

Gem::Specification.new do |spec|
  spec.name          = "deckland"
  spec.version       = Deckland::VERSION
  spec.authors       = ["Chris Bishop"]
  spec.email         = ["iam@chrisbishop.ca"]

  spec.summary       = %q{Deckland is a security library written by Chris Bishop. Deckland is made to automate specific tasks in the process of penetration testing.}
  spec.description   = %q{Deckland is a security library written by Chris Bishop}
  spec.homepage      = "http://www.chrisbishop.ca"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = ["deckland"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
